<link rel="import" href="../../bower_components/iron-ajax/iron-ajax.html">

<dom-module id="sc-pieces">
    <template>
        <style>
            h2 { font-weight: normal; }
            ul.pieces { list-style-type: none; padding: 0; }
            ul.pieces li { margin-top: 10px ; }
            ul.pieces li a { text-decoration: none; color: inherit; }
            ul.pieces li a:hover { color: white; }
            ul.pieces li span { font-size:smaller; display:block; }
            ul.pieces strong, ul.pieces strong span { opacity: 0.5; font-weight: inherit; }
        </style>

        <h2>Dezrann</h2>
        <ul class='pieces' id='piecesList'></ul>

        <iron-ajax
            id="requestRepos"
            url={{url}}
            handle-as="json"
            on-response="_getPieces"
            >
        </iron-ajax>
    </template>

    <script>
        Polymer({
            is: 'sc-pieces',

            properties: {
                url: String,
                pieceId: String
            },

            ready: function () {
                this.$.requestRepos.generateRequest();
            },

            _getPieces: function (data) {
                let response =  data.detail.response;
                this.pieces = response.sort(function (p1, p2) {
                    return p1.Id > p2.Id;
                });
            },

            generateList: function () {
                let html = "";
                for (let piece of this.pieces) {
                    html += "<li>"
                    if (piece.Id == this.pieceId) {
                        html += "<strong>"
                    } else {
                        html += '<a name="' + piece.title + '" href="/#/' + piece.id + '">'
                    }
                    html +=         piece.title
                    html +=         "<span>" + piece.composer + "</span>"
                    if (piece.Id == this.pieceId) {
                        html += "</strong>"
                    } else {
                        html += '</a>'
                    }
                    html += "</li>"
                }
                this.$.piecesList.innerHTML = html;
            }
        });
    </script>
</dom-module>
